/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Abstract Multi Dimensional Image Model Axis Direction
 */
public enum EnumCM_AbstractMultiDimensionalImageModelAxisDirection 
{
	//CID 7184 Abstract Multi Dimensional Image Model Axis Direction
	LEFT_RIGHT_AXIS("Left-Right Axis"),
	HEAD_FOOT_AXIS("Head-Foot Axis"),
	ANTERIOR_POSTERIOR_AXIS("Anterior-Posterior Axis"),
	APEX_BASE_AXIS("Apex-Base Axis"),
	ANTERIOR_INFERIOR_AXIS("Anterior-Inferior Axis"),
	SEPTUM_WALL_AXIS("Septum-Wall Axis");
	

	private String value;
	
	EnumCM_AbstractMultiDimensionalImageModelAxisDirection(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
